//	author:	Barnabas Aszodi (BME-IIT)

#include "Ogre.h"
#include "OgreEffectWrapper.h"
#include "ManagedOgreRenderTexturePass.h"
#include "FinalRenderingRun.h"

#include "VRMRenderFinalPass.h"

#include "SoftShadowFinalRenderingRun.h"


SoftShadowFinalRenderingRun::SoftShadowFinalRenderingRun(Entity* entity)
		:FinalRenderingRun(entity)
{
	iNumberOfSamples = 0;
}


void SoftShadowFinalRenderingRun::renderSingleEntity(RenderTarget* backBuffer, CubeMapFaces cf)
{

}

const String& SoftShadowFinalRenderingRun::getSoftShadowMapTexture()
{
	return vRMRenderFinalPass->getMaterialName();
}

unsigned int SoftShadowFinalRenderingRun::getSoftShadowFilteringRate()
{
	return iNumberOfSamples;
}	

void SoftShadowFinalRenderingRun::setSoftShadowFilteringRate(unsigned int usedNumberOfSamples)
{
	iNumberOfSamples = usedNumberOfSamples;
}
